package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.EnterpriseSmsPackageDTO;
import com.gic.enterprise.dto.PackageDTO;
import com.gic.enterprise.dto.SmsPackageDTO;

import java.util.List;

public interface PackageApiService {

    
    /** @Description: 查询所有套餐包
     * @author taogs
     * @Date 14:46 2019/8/16
     * @Param 
     * @return 
    */
    ServiceResponse<List<PackageDTO>> listAllPackage();

    
    /** @Description: 查询所有短信套餐包
     * @author taogs
     * @Date 15:56 2019/8/16
     * @Param 
     * @return 
    */
    ServiceResponse<List<SmsPackageDTO>> listAllSmsPackage();

    /** @Description: 查询企业下短信套餐包
     * @author taogs
     * @Date 15:58 2019/8/16
     * @Param 
     * @return 
    */
    ServiceResponse<List<EnterpriseSmsPackageDTO>> listEnterpriseSmsPackage(Integer enterpriseId);
}
